package com.chenyang.nse.bussiness.incencryption.service;

public interface IncEncryptionService {
   void incEncrypt(String projectId, String dataSystemId, String schema, String table);

   public static class IncEncryptionMaxThreadsReachedException extends RuntimeException {
      public IncEncryptionMaxThreadsReachedException(int maxThread) {
         super(String.format("Maximum %d of threads reached", maxThread));
      }
   }

   public static class IncEncryptionTaskRunningException extends RuntimeException {
   }
}
